Update specific counter - Fabric

Update specific counter

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "name": "On Hand"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code}"

payload = { "name": "On Hand" }
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({name: 'On Hand'})
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "id": "622786ae0bdb19221a24fb61",
  "name": "On Hand",
  "code": "on-hand"
}

Authorizations

Required Headers